CallFire API Documentation
CallFire
- Homepage
- https://api.apis.guru/v2/specs/callfire.com/V2.json
- Provider
- callfire.com
- OpenAPI version
- 2.0
- Spec (JSON)
- https://api.apis.guru/v2/specs/callfire.com/V2/openapi.json
- Spec (YAML)
- https://api.apis.guru/v2/specs/callfire.com/V2/openapi.yaml
Tools (124)
Extracted live via the executor SDK.
-
calls.addCallBroadcastBatchThe 'add batch' API allows user to add additional batches to an already created voice broadcast campaign. The added batch will go through the CallFire validation process, unlike in the recipients version of this API. That is why you can use the scrubDuplicates flag to remove duplicates from your batch. Batches may be added as a contact list id, a list of contact ids, or a list of numbers
-
calls.addCallBroadcastRecipientsUse this API to add the recipients to an existing voice broadcast. Post a list of Recipient objects to be added to the voice broadcast campaign. These contacts will not go through validation process, and will be acted upon as they are added. Recipients may be added as a list of contact ids, or list of numbers
-
calls.archiveVoiceBroadcastArchives a voice broadcast (voice broadcast will be hidden in search results)
-
calls.createCallBroadcastCreates a call broadcast campaign using the Call Broadcast API. Send a CallBroadcast in the message body to add details in a voice broadcast campaign. The campaign can be created without contacts and bare minimum configuration, but contacts will have to be added further on to use the campaign
-
calls.findCallBroadcastsSearches for all voice broadcasts created by user. Can query on label, name, and the current running status of the campaign. Returns a paged list of voice broadcasts
-
calls.findCallsTo search for all calls sent or received by the user. Use "id=0" for the campaignId parameter to query for all calls sent through the POST /calls API. See
-
calls.getCallReturns a single Call instance for a given call id.
-
calls.getCallBroadcastReturns a single CallBroadcast instance for a given call broadcast campaign id
-
calls.getCallBroadcastBatchesThis endpoint will enable the user to page through all of the batches for a particular voice broadcast campaign
-
calls.getCallBroadcastCallsThis endpoint will enable the user to page through all calls for a particular call broadcast campaign
-
calls.getCallBroadcastStatsReturns broadcast statistics like total number of sent/received actions, total cost, number of remaining outbound actions, error count, etc
-
calls.getCallRecordingReturns metadata of recording of a particular call. Metadata contains a link to a MP3 recording
-
calls.getCallRecordingByNameReturns recording metadata of particular call. Metadata contains link to a MP3 recording
-
calls.getCallRecordingMp3Returns an MP3 recording of particular call, response contains binary data, content type is 'audio/mpeg'
-
calls.getCallRecordingMp3ByNameReturns a MP3 recording of a particular call, response contains binary data, content type is 'audio/mpeg'
-
calls.getCallRecordingsReturns a list of recordings metadata of particular call. Metadata contains link to a MP3 recording
-
calls.sendCallsUse the /calls API to send individual calls quickly. A verified Caller ID and sufficient credits are required to make a call. CallRecipient represents a single recipient identified by phone number or contact id in CallFire system. You can attach user-defined attributes to a Call action via CallRecipient.attributes property, attributes are available in Call action response
-
calls.startVoiceBroadcastStart a voice broadcast
-
calls.stopVoiceBroadcastStop a voice broadcast
-
calls.toggleCallBroadcastRecipientsStatusThis operation lets the user to disable/enable undialed recipients in created broadcast
-
calls.updateCallBroadcastThis operation lets the user modify the configuration of a voice broadcast campaign after call broadcast campaign is created. See CallBroadcast for more information on what can/can't be updated on this API
-
campaigns.deleteCampaignSoundDeletes a single campaign sound instance for a specific campaign sound id, this operation does not delete sound completely, it sets sound status to ARCHIVED which means that sound will no longer appear in 'find' operation results, but still accessible via 'get' operation
-
campaigns.findCampaignSoundsTo find all campaign sounds which were created by user. Returns all sounds available to be used in campaigns
-
campaigns.getCampaignBatchReturns a single Batch instance for a given batch id. This API is useful for determining the state of a validating batch
-
campaigns.getCampaignSoundReturns a single CampaignSound instance for a given sound id in campaign. This is a meta data to the sounds. No audio data is returned from this API
-
campaigns.getCampaignSoundDataMp3Download the MP3 version of a hosted file. This is an audio data endpoint. Returns binary response of the 'audio/mpeg' content type
-
campaigns.getCampaignSoundDataWavDownload the WAV version of the hosted file. This is an audio data endpoint. Returns binary response of the 'audio/mpeg' content type
-
campaigns.postCallCampaignSoundUse this API to create a sound via a phone call. Provide the required phone number in the CallCreateSound object inside the request, and user will receive a call shortly after with instructions on how to record a sound over the phone.
-
campaigns.postFileCampaignSoundCreate a campaign sound file via a supplied .mp3 or .wav file
-
campaigns.postTtsCampaignSoundUse this API to create a sound file via a supplied string of text. Add a text in the TextToSpeech.message field, and pick a voice in the TextToSpeech.voice field. Available voices are: MALE1, FEMALE1, FEMALE2, SPANISH1, FRENCHCANADIAN1
-
campaigns.updateCampaignBatchUpdates a single Batch instance, currently batch can only be turned "on/off"
-
contacts.addContactListItemsAdds contacts to a contact list. Available contact sources are: list of the contact entities, list of ids of existing contacts in user's account, list of phone numbers in E.164 format (11-digits)
-
contacts.addDoNotContactsAdd or update a list of Do Not Contact (DNC) contact entries. Can toggle whether the DNCs are enabled for calls/texts.
-
contacts.createContactListCreates a contact list for use with campaigns using 1 of 3 inputs. A List of Contact objects, a list of String E.164 numbers, or a list of CallFire contactIds can be used as the data source for the created contact list. After contact list is added into the CallFire system, contact lists goes through seven system safeguards that check the accuracy and consistency of the data. For example, our system checks that contact number is formatted correctly, is valid, is not duplicated in another contact list, or is not added on a specific DNC list. You can configure to keep/merge or remove contacts which do not complies these rules. If contacts were not added to a contact list after the validation, this means the data needs to be properly formatted and corrected before calling this API
-
contacts.createContactListFromFileCreates a contact list to be used with campaigns through uploading a .csv file. Returns the id of created list
-
contacts.createContactsCreates contacts in CallFire system. Only values from the next list can be used as external system parameter in contact creation: NATION_BUILDER, SALES_FORCE_CONTACTS, SALES_FORCE_LEADS, SALES_FORCE_REPORTS, ZOHO, MAIL_CHIMP. See
-
contacts.deleteContactDeletes a contact instance from account
-
contacts.deleteContactListDeletes a contact list, included contacts will not be deleted.
-
contacts.deleteDoNotContactDelete a Do Not Contact (DNC) contact entry.
-
contacts.deleteDoNotContactsBySourceDelete Do Not Contact (DNC) contact entries contained in source.
-
contacts.findContactListsSearches for all contact lists which are available for the current user. Returns a paged list of contact lists
-
contacts.findContactsFind user's contacts by id, contact list, or on any property name. Returns a paged list of contacts
-
contacts.findDoNotContactsSearches for all Do Not Contact (DNC) objects created by user. These DoNotContact entries only affect calls/texts/campaigns on this account. Returns a paged list of DoNotContact objects
-
contacts.getContactReturns a Contact instance for a given contact id. Deleted contacts can be still retrieved but will be marked as deleted. Deleted contacts will not be shown in search request.
-
contacts.getContactHistorySearches for all texts and calls attributed to a contact. Returns a list of calls and texts a contact has been involved with
-
contacts.getContactListReturns a single ContactList instance for a given contact list id
-
contacts.getContactListItemsSearches for all entries in a contact list with specified id. Returns a paged list of contact entries
-
contacts.getDoNotContactGet Do Not Contact (DNC) object create by user. This DoNotContact entry only affects calls/texts/campaigns on this account.
-
contacts.getUniversalDoNotContactsSearches for a UniversalDoNotContact object for a given phone number. Shows whether inbound/outbound actions are allowed for a given number
-
contacts.removeContactListItemDeletes a single contact from a contact list
-
contacts.removeContactListItemsDeletes contacts from a contact list. List the contact ids in request to delete multiple contacts with one request.
-
contacts.updateContactUpdates a single contact instance with id specified. See
-
contacts.updateContactListUpdates contact list instance.
-
contacts.updateDoNotContactUpdate a Do Not Contact (DNC) contact entry. Can toggle whether the DNC is enabled for calls/texts.
-
keywords.findKeywordLeaseConfigsSearches for all keyword lease configs for the user. Returns a paged list of KeywordConfig
-
keywords.findKeywordLeasesSearches for all keywords owned by user. A keyword lease is the ownership information involving a keyword
-
keywords.findKeywordsSearches for all keywords available for purchase on the CallFire platform. If a keyword appears in the response, it is available for purchase. List the 'keywords' in a query parameter to search for multiple keywords (at least one keyword should be sent in request). Keyword should only consist of uppercase and lowercase letters and numbers. Number of characters must be greater than 2, but less than 65.
-
keywords.getKeywordLeaseSearches for all keywords owned by user
-
keywords.getKeywordLeaseByIdGet keyword by id
-
keywords.getKeywordLeaseConfigReturns a single KeywordConfig instance for a given keyword lease
-
keywords.isKeywordAvailableSearches for the specific keyword to purchase on the CallFire platform. Returns 'true' if keyword is available. Keyword should only consist of uppercase and lowercase letters and numbers. Number of characters must be greater than 2, but less than 65.
-
keywords.updateKeywordLeaseUpdates a keyword lease. Turns the autoRenew on/off. Configure double opt in feature. Add/remove contact list from keyword.
-
keywords.updateKeywordLeaseConfigUpdates a keyword lease configuration. Use this API endpoint to enable/disable inbound SMS forwarding, set forward number. Forward number must be in E.164 format)
-
me.createApiCredentialCreates an API credentials for the CallFire API. This endpoint requires full CallFire account credentials to be used, authenticated using Basic Authentication. At the moment user provides only the name for the credentials. The generated credentials can be used to access any CallFire APIs. For authentication use account credentials.
-
me.deleteApiCredentialDeletes a specified API credential. Currently, removes the ability to access the API. Only ACCOUNT_HOLDER can invoke this API. For authentication use account credentials.
-
me.disableApiCredentialsDisables a specified API credential. Currently, removes the ability to access the API. Only ACCOUNT_HOLDER can invoke this API. For authentication use account credentials.
-
me.enableApiCredentialsEnables a specified API credential. Currently, adds the ability to access the API. Only ACCOUNT_HOLDER can invoke this API. For authentication use account credentials.
-
me.findApiCredentialsSearches for all credentials generated by user. Returns a paged list of the API credentials. Only ACCOUNT_HOLDER can invoke this API. For authentication use account credentials.
-
me.getAccountSearches for the user account details. Details include name, email, and basic account permissions. For authentication use api credentials.
-
me.getApiCredentialReturns an API credential instance for a given api credential id. Only ACCOUNT_HOLDER can invoke this API. For authentication use account credentials.
-
me.getBillingPlanUsageSearches for the data of a billing plan usage for the user. Returns the data of a billing plan usage for the current month. For authentication use api credentials.
-
me.getCallerIdsReturns a list of verified caller ids. If the number is not shown in the list, then it is not verified. In this case sending of a verification code is required. For authentication use api credentials.
-
me.getCreditUsageFind credit usage for the user. Returns credits usage for time period specified or if unspecified then total for all time. For authentication use api credentials.
-
me.sendVerificationCodeToCallerIdGenerates and sends a verification code to the phone number provided in the path. The verification code is delivered via a phone call. This code needs to be submitted to the verify caller id API endpoint to complete verification. For authentication use api credentials.
-
me.verifyCallerIdWith the verification code received from the Create caller id endpoint, a call to this endpoint is required to finish verification. For authentication use api credentials.
-
media.createMediaUploads media file to account, acceptable media formats: bmp, gif, jpg, m4a, mp3, mp4, png, wav
-
media.findMediaFind media files created by user
-
media.getMediaGet media resource by id
-
media.getMediaDataDownload a media file. Available types of files: bmp, gif, jpg, m4a, mp3, mp4, png, wav. Content type in response depends on 'extension' parameter, e.g. image/jpeg, image/png, audio/mp3, etc
-
media.getMediaDataBinaryDownload a MP3 media, endpoint returns application/binary content-type
-
media.getMediaDataByKeyDownload a media file. Available types of files: bmp, gif, jpg, m4a, mp3, mp4, png, wav. Content type in response depends on 'extension' parameter, e.g. image/jpeg, image/png, audio/mp3, etc
-
numbers.findNumberLeaseConfigsSearches for all number lease configs for the user. Returns a paged list of NumberConfig
-
numbers.findNumberLeasesSearches for all numbers leased by account user. This API is useful for finding all numbers currently owned by the user. Returns a paged list of number leases.
-
numbers.findNumberRegionsSearches for region information. Use this API to obtain detailed region information that can be used to query for more specific phone numbers than a general query.
-
numbers.findNumbersLocalSearches for numbers available for purchase in CallFire local numbers catalog . At least one additional parameter is required. User may filter local numbers by their region information. If all numbers with desirable zip code is already busy search will return available numbers with nearest zip code.
-
numbers.findNumbersTollfreeSearches for the toll free numbers which are available for purchase in the CallFire catalog
-
numbers.getNumberLeaseReturns a single NumberLease instance for a given number
-
numbers.getNumberLeaseConfigReturns a single NumberConfig instance for a given number lease
-
numbers.updateNumberLeaseUpdates a number lease instance. Ability to turn on/off autoRenew and toggle call/text features for a particular number
-
numbers.updateNumberLeaseConfigUpdates a phone number lease configuration. Use this API endpoint to add an Inbound IVR or Call Tracking feature to a CallFire phone number. Call tracking configuration allows you to track the incoming calls, to analyze and to respond customers using sms or voice replies. For more information see
-
orders.findOrdersSearches for account orders
-
orders.getOrderReturns a single NumberOrder instance for a given order id. Order contains information about purchased keywords, local, toll-free numbers
-
orders.orderKeywordsPurchase keywords. Send a list of available keywords into this API to purchase them using CallFire credits. Make sure the account has enough credits before trying to purchase the keywords. Keyword should only consist of uppercase and lowercase letters and numbers. Number of characters must be greater than 2, but less than 65.
-
orders.orderNumbersPurchase numbers. There are many ways to purchase a number. Set either 'tollFreeCount' or 'localCount' along with some querying fields to purchase numbers by bulk query. Set the list of numbers to purchase by list. Available numbers will be purchased using CallFire credits owned by the user. Make sure the account has enough credits before trying to purchase
-
reports.getDeliveryReportsGet delivery reports
-
texts.addTextBroadcastBatchAllows adding an extra batches to an already created text broadcast campaign. The batches which being added pass the CallFire validation process (unlike in the recipients version of this API). That is why using of a scrubDuplicates flag remove duplicates from your batch. Batches may be added as a contact list id, a list of contact ids, or a list of numbers
-
texts.addTextBroadcastRecipientsUse this API to add recipients to a text broadcast which is already created. Post a list of Recipient objects to be immediately added to the text broadcast campaign. These contacts will not go through validation process, and will be acted upon as they are added. Recipients may be added as a list of contact ids, or list of numbers
-
texts.archiveTextBroadcastArchives a text broadcast (and hides it in the search results)
-
texts.createTextAutoReplyCallFire gives you possibility to set up auto reply messages for your numbers and keywords. You can set a general auto reply for anyone who texts your number, keyword, and/or include a text to match, so that the auto reply would be sent only to those who text the matched text
-
texts.createTextBroadcastCreates a text broadcast campaign using the Text Broadcast API. Send a TextBroadcast object in the message body to detail a text broadcast campaign. A campaign can be created without contacts and with bare minimum configuration, but contacts have to be added further on to use the campaign. It supports scheduling, retry logic, pattern-based messages.
-
texts.deleteTextAutoReplyDeletes a text auto reply and removes the configuration. Can not delete a TextAutoReply which is currently active for a campaign
-
texts.findTextAutoReplysFind all text autoreplies created by user. Returns a paged list of TextAutoReply
-
texts.findTextBroadcastsSearches for all text broadcasts created by user. Can query on label, name, and the current running status of the campaign. Returns a paged list of text broadcasts
-
texts.findTextsSearches for texts sent or received by user. Use "campaignId=0" parameter to query for all texts sent through the POST /texts API. See
-
texts.getTextReturns a single Text instance for a given text id
-
texts.getTextAutoReplyReturns a single TextAutoReply instance for a given text auto reply id
-
texts.getTextBroadcastReturns a single TextBroadcast instance for a given text broadcast id
-
texts.getTextBroadcastBatchesThis endpoint will enable the user to page through all of the batches for a particular text broadcast campaign
-
texts.getTextBroadcastStatsReturns the broadcast statistics. Example: total number of the sent/received actions, total cost, number of remaining outbound actions, error count, etc
-
texts.getTextBroadcastTextsThis endpoint will enable the user to page through all of the texts for a particular text broadcast campaign
-
texts.sendTextsUse the /texts API to send individual texts quickly. By default all texts are going out from CallFire's dedicated short code. Example: 67076, 818818 etc
-
texts.startTextBroadcastStarts a text broadcast
-
texts.stopTextBroadcastStops a text broadcast
-
texts.toggleTextBroadcastRecipientsStatusThis operation lets the user to disable/enable undialed contacts in created broadcast
-
texts.updateTextBroadcastAllows modifying the configuration of existing text broadcast campaign. See TextBroadcast for more information on what can/can't be updated on this API
-
webhooks.createWebhookCreate a Webhook for notification in the CallFire system. Use the webhooks API to receive notifications of important CallFire events. Select the resource to listen to, and then choose the resource events to receive notifications on. When an event triggers, a POST will be made to the callback URL with a payload of notification information. Available resources and their events include 'CccCampaign': ['started', 'stopped', 'finished'], 'CallBroadcast': ['started', 'stopped', 'finished'], 'TextBroadcast': ['started', 'stopped', 'finished'], 'OutboundCall': ['finished'], 'InboundCall': ['finished'], 'OutboundText': ['finished'], 'InboundText': ['finished'], 'ContactList': ['validationFinished', 'validationFailed'], 'MonthlyRenewal': ['failed', 'finished'], 'LowBalance': ['failed', 'finished']. Webhooks support secret token which is used as signing key to HmacSHA1 hash of json payload which is returned in 'X-CallFire-Signature' header. This header can be used to verify callback POST is coming from CallFire. See
-
webhooks.deleteWebhookDeletes a webhook instance. Will be removed permanently
-
webhooks.findWebhookResourcesSearches for webhook resources. Available resources include 'CccCampaign': ['started', 'stopped', 'finished'], 'CallBroadcast': ['started', 'stopped', 'finished'], 'TextBroadcast': ['started', 'stopped', 'finished'], 'OutboundCall': ['finished'], 'InboundCall': ['finished'], 'OutboundText': ['finished'], 'InboundText': ['finished'], 'ContactList': ['validationFinished', 'validationFailed'], 'MonthlyRenewal': ['failed', 'finished'], 'LowBalance': ['failed', 'finished']
-
webhooks.findWebhooksSearches all webhooks available for a current user. Searches by name, resource, event, callback URL, or whether they are enabled. Returns a paged list of Webhooks
-
webhooks.getWebhookReturns a single Webhook instance for a given webhook id
-
webhooks.getWebhookResourceReturns information about supported events for a given webhook resource
-
webhooks.updateWebhookUpdates the information in existing webhook
-
openapi.previewSpecPreview an OpenAPI document before adding it as a source
-
openapi.addSourceAdd an OpenAPI source and register its operations as tools